{
    "name": "richan-fongdasen/laravel-livewire-cms",
    "type": "project",
    "description": "The Laravel Livewire CMS Application.",
    "keywords": [
        "framework",
        "laravel"
    ],
    "license": "MIT",
    "repositories": [
        {
            "type": "composer",
            "url": "https://satis.spatie.be"
        },
        {
            "type": "vcs",
            "url": "git@gitlab.com:suitmedia/laravel-api-generator.git"
        },
        {
            "type": "vcs",
            "url": "git@gitlab.com:suitmedia/laravel-cms-generator.git"
        }
    ],
    "require": {
        "php": "^8.0",
        "anhskohbo/no-captcha": "^3.3",
        "dyrynda/laravel-cascade-soft-deletes": "^4.1",
        "fideloper/proxy": "^4.4",
        "fruitcake/laravel-cors": "^2.0",
        "guzzlehttp/guzzle": "^7.3",
        "laravel/framework": "^8.61",
        "laravel/tinker": "^2.6",
        "laravel/ui": "^3.3",
        "laravelcollective/html": "^6.2",
        "league/flysystem-aws-s3-v3": "^1.0",
        "livewire/livewire": "^2.6",
        "maatwebsite/excel": "^3.1",
        "predis/predis": "^1.1",
        "richan-fongdasen/laravel-gcr-worker": "^1.2",
        "richan-fongdasen/laravel-i18n": "^2.1",
        "sentry/sentry-laravel": "^2.8",
        "spatie/laravel-activitylog": "^4.1",
        "spatie/laravel-backup": "^7.6",
        "spatie/laravel-json-api-paginate": "^1.10",
        "spatie/laravel-medialibrary-pro": "^1.17",
        "spatie/laravel-permission": "^5.1",
        "spatie/laravel-query-builder": "^3.6",
        "spatie/laravel-sluggable": "^3.1"
    },
    "require-dev": {
        "barryvdh/laravel-debugbar": "^3.6",
        "barryvdh/laravel-ide-helper": "^2.10",
        "brianium/paratest": "^6.3",
        "ekino/phpstan-banned-code": "^0.5",
        "facade/ignition": "^2.13",
        "fakerphp/faker": "^1.16",
        "knuckleswtf/scribe": "^3.1",
        "laravel/sail": "^1.10",
        "laravel/telescope": "^4.6",
        "mockery/mockery": "^1.4",
        "nunomaduro/collision": "^5.10",
        "nunomaduro/larastan": "^0.7.12",
        "phpmd/phpmd": "^2.10",
        "phpstan/phpstan-deprecation-rules": "^0.12.6",
        "phpunit/phpunit": "^9.5",
        "richan-fongdasen/laravel-api-generator": "^1.6",
        "richan-fongdasen/laravel-cms-generator": "^1.0",
        "sebastian/phpcpd": "^6.0",
        "styleci/cli": "^1.2"
    },
    "config": {
        "optimize-autoloader": true,
        "preferred-install": "dist",
        "sort-packages": true
    },
    "extra": {
        "laravel": {
            "dont-discover": []
        }
    },
    "autoload": {
        "psr-4": {
            "App\\": "app/",
            "Cms\\": "cms/",
            "Database\\Factories\\": "database/factories/",
            "Database\\Seeders\\": "database/seeders/"
        },
        "files": [
            "cms/helpers.php"
        ]
    },
    "autoload-dev": {
        "psr-4": {
            "Tests\\": "tests/"
        }
    },
    "minimum-stability": "dev",
    "prefer-stable": true,
    "scripts": {
        "post-autoload-dump": [
            "Illuminate\\Foundation\\ComposerScripts::postAutoloadDump",
            "@php artisan package:discover --ansi",
            "@php artisan vendor:publish --force --tag=livewire:assets --ansi"
        ],
        "post-root-package-install": [
            "@php -r \"file_exists('.env') || copy('.env.example', '.env');\""
        ],
        "post-create-project-cmd": [
            "@php artisan key:generate --ansi"
        ],
        "analyse": [
            "composer phpstan-analysis",
            "composer phpmd-analysis",
            "composer phpcpd-analysis"
        ],
        "phpstan-analysis": [
            "@php vendor/bin/phpstan analyse -c phpstan.neon --no-progress --memory-limit=-1"
        ],
        "phpmd-analysis": [
            "@php vendor/bin/phpmd app/ text codesize,controversial,design,naming,unusedcode,.phpmd.cleancode.xml",
            "@php vendor/bin/phpmd cms/ text codesize,controversial,design,naming,unusedcode,.phpmd.cleancode.xml",
            "@php vendor/bin/phpmd config/ text codesize,controversial,design,naming,unusedcode,.phpmd.cleancode.xml",
            "@php vendor/bin/phpmd database/ text codesize,controversial,design,unusedcode,.phpmd.cleancode.xml"
        ],
        "phpcpd-analysis": [
            "@php vendor/bin/phpcpd --min-lines=4 --min-tokens=36 app/ cms/"
        ],
        "refresh-db": [
            "rm -fr storage/app/public/*",
            "mkdir storage/app/public/_thumbs",
            "mkdir storage/app/public/uploads",
            "chmod 0777 storage/app/public/_thumbs storage/app/public/uploads",
            "@php artisan migrate:refresh --seed",
            "@php artisan cms:create-admin"
        ],
        "cov-text": [
            "phpdbg7.4 -qrr vendor/bin/phpunit --coverage-text"
        ],
        "cov-html": [
            "phpdbg7.4 -qrr vendor/bin/phpunit --coverage-html public/coverage"
        ],
        "test": [
            "@php artisan test --parallel"
        ],
        "styleci": [
            "@php vendor/bin/styleci"
        ]
    }
}
